# PushMessage

使用联通集团能力商店发布的能力向钉钉群推送消息。

## 使用方式

### 引入依赖

```xml
<dependency>
    <groupId>com.nokia</groupId>
    <artifactId>push-message-starter</artifactId>
    <version>1.0</version>
</dependency>
```

### 添加配置

- properties配置

```properties
pushmessage.enable=true
pushmessage.url=http://10.244.18.105:8000/api/chinaUnicom/microservice/notice/pushMessage/v1
pushmessage.appId=ENWaB7YdUD
pushmessage.appSecret=oz4OgKBaMNwi4LWfLPbhrPbbuCS8T0Rb
pushmessage.systemId=10000078
pushmessage.moduleId=20000156
pushmessage.busiCode=30000111
# https://oapi.dingtalk.com/robot/send?access_token=b2f1424d6119affaacab614b184f043fcd2c73db2651bb86eff29992d66820bf
pushmessage.accessToken=b2f1424d6119affaacab614b184f043fcd2c73db2651bb86eff29992d66820bf
pushmessage.prefix=CUC:
```

- yml配置

```yml
pushmessage:
  enable: true
  url: http://10.244.18.105:8000/api/chinaUnicom/microservice/notice/pushMessage/v1
  appId: ENWaB7YdUD
  appSecret: oz4OgKBaMNwi4LWfLPbhrPbbuCS8T0Rb
  systemId: 10000078
  moduleId: 20000156
  busiCode: 30000111
  # 在钉钉群添加机器人的时候可以得到accessToken和prefix
  accessToken: b2f1424d6119affaacab614b184f043fcd2c73db2651bb86eff29992d66820bf
  prefix: "CUC:"
```

## 版本更新记录

### v1.0

1. 支持发送text和markdown形式的数据
2. 添加钉钉机器人时必须采用自定义关键词方式设置安全方式
